Skip to content

Product Rankings - Fully Managed

Introduction

Retrieve fully managed products, with the following features:

  • Supports filtering parameters
  • Supports custom result sorting

API Endpoint

bash
    POST /product/v1/rank/fullyManaged

Request Body

FieldTypeRequiredDescription
filterobjectNoFilter parameters
orderbyobjectNoSorting parameters
pageintegerNoPage number, default: 1
pagesizeintegerNoItems per page, default: 10

filter Optional Values

FieldTypeRequiredDescription
regionstringNoCountry/Region
date_infoobjectNoDate info, e.g., {'type': 'day', 'value': '2026-02-01'}
category_idintegerNoProduct category
is_cross_borderintegerNoIs the product cross-border
is_fully_managedintegerNoIs the product fully managed

Available regions: ['US', 'GB', 'ES', 'MX', 'DE', 'IT', 'FR']

orderby Optional Values

FieldRequiredDescription
units_soldNoSales volume
gmvNoRevenue
units_sold_growth_rateNoSales volume growth rate

Request Example

bash
curl 'https://openapi.fastmoss.com/product/v1/rank/fullyManaged' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer xxxxxxxxxx' \
--data '{
    "filter": {
        "region": "US",
        "category_id": 2,
        "date_info": {
            "type": "day",
            "value": "2026-02-01"
        },
        # "date_info": {
        #     "type": "week",
        #     "value": "2026-18"
        # },
        # "date_info": {
        #     "type": "month",
        #     "value": "2026-02"
        # }
    },
     "orderby": [
      {
        "field": "day3_units_sold",
        "order": "desc"
      }
    ],
    "page": 1,
    "pagesize": 10
}'

Response Body

data.total

  • Type: integer
  • Description: Total number of results

data.list

FieldTypeDescription
product_idstringProduct ID
titlestringProduct title
regionstringCountry/Region
coverstringProduct cover URL
categoryobjectProduct category
commission_rateintegerCommission rate
real_pricestringProduct price
currencystringprice currency
units_soldintegerSales volume
gmvintegerRevenue
shopobjectShop information

data.list.shop

FieldTypeDescription
seller_idstringShop ID
namestringShop name
avatarstringShop cover URL
total_units_soldintegerShop total sales volume

Response Example

json
{
  "code": 0,
  "msg": "success",
  "data": {
    "total": 500,
    "list": [
      {
                "product_id": "1732235069991130057",
                "units_sold": 3543,
                "gmv": 29265.18,
                "units_sold_growth_rate": 59335,
                "off_shelves": 0,
                "launch_time": 1773016184,
                "title": "Women's Short Sleeve Casual Sporty Set, 2-Piece Women's Fashionable Daily Wear & Active Lifestyle Clothing, Stretchy Suit Set, Yoga Gym Outfits",
                "cover": "https://s.500fd.com/tt_product/39c25acb1f364785a1ae23e994606fdc~tplv-fhlh96nyum-resize-jpeg:800:800.jpeg",
                "region": "US",
                "currency": "USD",
                "real_price": "$21.24",
                "commission_rate": 800,
                "category": {
                    "l1": {
                        "id": 2,
                        "name": "Womenswear & Underwear"
                    },
                    "l2": {
                        "id": 842760,
                        "name": "Women's Suits & Overalls"
                    },
                    "l3": {
                        "id": 601291,
                        "name": "Sets"
                    }
                },
                "shop": {
                    "avatar": "https://s.500fd.com/tt_shop/a8f76a9787734bd8b125e71f66a265e2~tplv-aphluv4xwc-resize-png:300:300.png",
                    "seller_id": "8646927642708317129",
                    "name": "Verve Fashion",
                    "total_units_sold": 130881,
                    "is_fully_managed": null
                }
            }
    ]
  }
}